Package com.smartgwt.client.ai

# Class HiliteViaAISettings

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.HiliteViaAISettings

All Implemented Interfaces:
  `HasHandlers`

public class HiliteViaAISettings extends DataClass
Settings to use for hiliting a `DataBoundComponent` via AI.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HiliteViaAISettings()`
  `HiliteViaAISettings(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HiliteViaAISettings`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `HiliteViaAIProgressDialog`
  `getProgressDialogProperties()`
  When `showing a progress dialog`, the `HiliteViaAIProgressDialog` properties to apply.
  `Boolean`
  `getShowProgressDialog()`
  Whether to show a progress dialog to inform the user about progress.
  `HiliteViaAISettings`
  `setProgressDialogProperties(HiliteViaAIProgressDialog progressDialogProperties)`
  When `showing a progress dialog`, the `HiliteViaAIProgressDialog` properties to apply.
  `HiliteViaAISettings`
  `setShowProgressDialog(Boolean showProgressDialog)`
  Whether to show a progress dialog to inform the user about progress.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HiliteViaAISettings

    public HiliteViaAISettings()

  - ### HiliteViaAISettings

    public HiliteViaAISettings(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static HiliteViaAISettings getOrCreateRef(JavaScriptObject jsObj)

  - ### setProgressDialogProperties

    public HiliteViaAISettings setProgressDialogProperties(HiliteViaAIProgressDialog progressDialogProperties)
    When `showing a progress dialog`, the `HiliteViaAIProgressDialog` properties to apply.

    Note : This is an advanced setting

    Parameters:
      `progressDialogProperties` - New progressDialogProperties value. Default value is null
    Returns:
      `HiliteViaAISettings` instance, for chaining setter calls
    See Also:
      - `SGWTProperties`

  - ### getProgressDialogProperties

    public HiliteViaAIProgressDialog getProgressDialogProperties()
    When `showing a progress dialog`, the `HiliteViaAIProgressDialog` properties to apply.
    Returns:
      Current progressDialogProperties value. Default value is null

  - ### setShowProgressDialog

    public HiliteViaAISettings setShowProgressDialog(Boolean showProgressDialog)
    Whether to show a progress dialog to inform the user about progress.
    Parameters:
      `showProgressDialog` - New showProgressDialog value. Default value is true
    Returns:
      `HiliteViaAISettings` instance, for chaining setter calls

  - ### getShowProgressDialog

    public Boolean getShowProgressDialog()
    Whether to show a progress dialog to inform the user about progress.
    Returns:
      Current showProgressDialog value. Default value is true